Program Compressed_Print;

Type Name=       String [12];

Var  Line:       String [132];
     Filename:   Name;
     Fil:        Text;
     FirstPage:  Boolean;

Function File_Exist (Filename:Name):Boolean;
{******************************************}

Begin
  Assign (Fil,Filename);
  {$I-}
  Reset (Fil);
  {$I+}
  File_Exist:=(IOResult=0);
End;


Begin
  If Paramcount > 0 then
    Begin
      Filename := Paramstr(1);
    End
   Else
    Begin
      Write ('Enter Filename: ');
      Readln (Filename);
    End;
  If File_Exist (Filename) then
    Begin
      Write (LST,#15);   {(Lst,#143,#143,#27,#195,#72);}
      FirstPage:=True;
      While not EOF (Fil) do
        Begin
          Readln (Fil,Line);
          If (Pos (#12,Line)=1) then
            begin
              Delete (Line,1,1);
              If not FirstPage then
                Writeln(Lst,#12,'               ',Line);
            end
           else
             Writeln (Lst,'               ',Line);
          FirstPage:=False;
        End;
      Write (LST,#12);
    End
  Else Writeln ('*** File not found ***');
End.
